This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 903926 - Project maintainer should be able to define and save validations rules per project/document
Project maintainer should be able to define and save validations rules per pr...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.2
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks: 846314
  Show dependency treegraph
 
Reported: 2013-01-24 23:42 EST by Alex Eng
Modified: 2013-11-26 22:36 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.2-SNAPSHOT (20130215-1232)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:25:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Eng 2013-01-24 23:42:09 EST
Description of problem:
Project maintainer should be able to define and save validations rules per project/document
Comment 1 Sean Flanigan 2013-01-28 21:50:10 EST
On 2013-01-29 10:19, Alex Eng wrote:
> Question regarding this RFE...

Well, it's your RFE!  ;-)

> 1) Do we persist the validation rules on Project level OR Version
> level (new db table)? And I assume there will be a page for project
> maintainer to manage those rules against the project or version?


Both, inherited.  Similar to custom locale lists.

 
> 2) The second part of the implementation is on persisting rules on
> document level (another db table). It will inherits the rules from
> project or version and apply to each of the documents.
> 
> Who will manage the validation rules against the document? Do we need
> another similar page to manage the rules against each documents?

Where did the description "Project maintainer should be able to
define and save validations rules per project/document" come from?  I'm not convinced it needs to be at the document level.  At least to begin with.
 
> Currently all translators can on/off any of the validation rules, do
> we limit their access on turning on/off those rules set by
> maintainers?

I think the general rules should be:

Project maintainer chooses soft (suggested/recommended) and hard (enforced) rules

Translators may disable suggested rules

Translators may not disable enforced rules.

Translators may enable extra rules.
Comment 3 Alex Eng 2013-02-11 18:14:06 EST
fix unit test and implement inheritance of validation rules when create new version

https://github.com/zanata/zanata/commit/09c218b246a054d307626a29085b94291619f97d
https://github.com/zanata/zanata/commit/1987a76264be65dee89213a9b32c4c95e3f57e06
Comment 4 Ding-Yi Chen 2013-02-15 02:12:56 EST
VERIFIED with Zanata version 2.2-SNAPSHOT (20130215-1232)
Comment 5 Sean Flanigan 2013-11-26 22:16:02 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 6 Sean Flanigan 2013-11-26 22:17:06 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:19:19 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:25:20 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 9 Sean Flanigan 2013-11-26 22:34:03 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 10 Sean Flanigan 2013-11-26 22:36:14 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.